Gibt es ein Paket für eine ausführbare Version von v8?

9

Ich versuche, Vim JS lint plugin unter Ubuntu 12.04 zu bekommen. Das Plug-in benötigt den Befehl d8 , der eine ausführbare Version der Google-v8-JavaScript-Engine ist.

Ich sehe ein Paket libv8 , aber das scheint auch nicht d8 zu installieren. oder zumindest nicht auf meinen Weg. Das Paket wird als

beschrieben
  

libv8-3.7.12.22 - v8 JavaScript Engine - Laufzeitbibliothek

Gibt es ein Paket, das eine ausführbare Version der v8-Engine installiert, oder muss ich es nur manuell erstellen?

    
James McMahon 23.05.2012, 18:00

3 Antworten

8

Ich werde den Mangel an Antworten als Nein nehmen.

Es ist nicht schwer, v8 aus dem SVN Repo von Google zu erstellen und zu installieren.

Alles, was Sie tun müssen, ist es zu überprüfen und zu machen.

svn checkout http://v8.googlecode.com/svn/trunk/ ./v8
cd v8
make builddeps
make native

Dann im out/native -Verzeichnis ist d8 binary, ich habe dies nur mit meinem /usr/local/bin verlinkt.

    
James McMahon 24.05.2012, 17:01
1

Dies könnte helfen (es funktioniert auf Debian):

12:38 ~ $ apt-cache search libv8;
libv8-3.8.9.20 - v8 JavaScript engine - runtime library
libv8-dbg - v8 JavaScript engine - debugging symbols
libv8-dev - v8 JavaScript engine - development files
libv8-i18n-dev - Native internationalization extension for libv8 - development files
libv8-i18n0.0.0 - Native internationalization extension for libv8 - runtime library
libv8-i18n0.0.0-dbg - Native internationalization extension for libv8 - debugging symbols

und wählen Sie einen wie

12:39 ~ $ apt-get install libv8-3.8.9.20
    
relipse 12.09.2013 19:42
0

Schauen Sie sich node-webkit an, es funktioniert mit den wichtigsten Betriebssystemen (Linux, Windows, Mac) - es ist eine App Motor aus Chrom und node.js.

    
CoryG 25.03.2013 00:23